Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfPrintType

    java.lang.Object
      java.lang.Enum<OdfPrintType>
          org.odftoolkit.odfdom.dom.type.style.OdfPrintType

All Implemented Interfaces:
  Serializable, Comparable<OdfPrintType>

    public enum OdfPrintType

extends Enum<OdfPrintType>

DOM implementation of OpenDocument attribute style:print.

Enum Constant Summary
`ANNOTATIONS`
`CHARTS`
`DRAWINGS`
`FORMULAS`
`GRID`
`HEADERS`
`OBJECTS`
`ZERO_VALUES`

Method Summary
`static OdfPrintType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfPrintType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfPrintType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfPrintType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ZERO_VALUES

    public static final OdfPrintType ZERO_VALUES

### OBJECTS

    public static final OdfPrintType OBJECTS

### ANNOTATIONS

    public static final OdfPrintType ANNOTATIONS

### GRID

    public static final OdfPrintType GRID

### FORMULAS

    public static final OdfPrintType FORMULAS

### DRAWINGS

    public static final OdfPrintType DRAWINGS

### CHARTS

    public static final OdfPrintType CHARTS

### HEADERS

    public static final OdfPrintType HEADERS

Method Detail

### values

    public static OdfPrintType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfPrintType c : OdfPrintType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfPrintType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfPrintType>`
  Returns:
    return the name of OdfPrintType

### toString

    public static String toString(OdfPrintType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfPrintType, see style:print
  Returns:
    return the name of OdfPrintType

### enumValueOf

    public static OdfPrintType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfPrintType
  Returns:
    return the constant of OdfPrintType, see style:print

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.